<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 David Mann <dm@onm.de>, Open New Media GmbH
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class Tx_redirect_linkhandling_Handler_LinkHandler.
 *
 * @version $Id$
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @package TYPO3
 * @subpackage Redirect Linkhandling
 *
 * @author David Mann <dm@onm.de>
 */
class Tx_redirect_linkhandling_Handler_LinkHandlerTest extends Tx_Extbase_Tests_Unit_BaseTestCase {
	/**
	 * @var Tx_redirect_linkhandling_Handler_LinkHandler
	 */
	protected $fixture;

	public function setUp() {
		$this->fixture = new Tx_RedirectLinkhandling_Handler_LinkHandler('http://localhost/blankpackage/index.php?id=12');
	}

	public function tearDown() {
		unset($this->fixture);
	}

	/**
	 * @test
	 */
	public function dummyMethod() {

		$this->assertSame(
                array(Tx_RedirectLinkhandling_Handler_LinkHandler::REDIRECT_TO_TARGET, '6'),
                $this->fixture->getLinkHandlingArray()
            );
	}

}
?>