<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

if (TYPO3_MODE === 'BE') {

	/**
	 * Registers a Backend Module
	 */
	\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
		'ONM.' . $_EXTKEY,
		'tools',	 // Make module a submodule of 'tools'
		'redirectlinkhandlingmod',	// Submodule key
		'',						// Position
		array(
			'Linkhandling' => 'standard'
		),
		array(
			'access' => 'user,group',
			'icon'   => 'EXT:' . $_EXTKEY . '/ext_icon.gif',
			'labels' => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_redirectlinkhandlingmod.xml',
		)
	);

}

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'Redirect Linkhandling');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_redirectlinkhandling_domain_model_link', 'EXT:_redirect_linkhandling/Resources/Private/Language/locallang_csh_tx_redirectlinkhandling_domain_model_link.xml');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_redirectlinkhandling_domain_model_link');
$TCA['tx_redirectlinkhandling_domain_model_link'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:redirect_linkhandling/Resources/Private/Language/locallang_db.xml:tx_redirectlinkhandling_domain_model_link',
		'label' => 'uri',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'sortby' => 'sorting',
		'versioningWS' => 2,
		'versioning_followPages' => TRUE,
		'origUid' => 't3_origuid',
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'uri,target,handled,sent,',
		'dynamicConfigFile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Configuration/TCA/Link.php',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_redirectlinkhandling_domain_model_link.gif'
	),
);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_redirectlinkhandling_domain_model_rule', 'EXT:redirect_linkhandling/Resources/Private/Language/locallang_csh_tx_redirectlinkhandling_domain_model_rule.xml');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_redirectlinkhandling_domain_model_rule');
$TCA['tx_redirectlinkhandling_domain_model_rule'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:redirect_linkhandling/Resources/Private/Language/locallang_db.xml:tx_redirectlinkhandling_domain_model_rule',
		'label' => 'expression',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'sortby' => 'sorting',
		'versioningWS' => 2,
		'versioning_followPages' => TRUE,
		'origUid' => 't3_origuid',
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'expression,target,active,ignoreonredirect',
		'dynamicConfigFile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Configuration/TCA/Rule.php',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_redirectlinkhandling_domain_model_rule.gif'
	),
);

?>